petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSSetTimeStep

Allows one to reset the timestep at any time, useful for simple pseudo-timestepping codes.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetTimeStep(TS ts,PetscReal time_step)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| time_step | - the size of the timestep

### See Also

TSGetTimeStep(), TSSetTime()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages